=== templates/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

kde_package_app_templates(TEMPLATES kirigamiaddons6 INSTALL_DIR ${KDE_INSTALL_KAPPTEMPLATESDIR})
